From 71f55eb299da49c7cfc71c5ad737a134f3fa3cc8 Mon Sep 17 00:00:00 2001
From: LibreMiami <packaging-guix@libremiami.org>
Date: Sun, 28 Mar 2021 21:06:10 -0400
Subject: [PATCH 1/2] gnu: Add python-plumbum.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

* gnu/packages/python-xyz.scm (python-plumbum): New variable.

Co-authored-by: Léo Le Bouter <lle-bout@zaclys.net>
Co-authored-by: jgart <jgart@dismail.de>
Co-authored-by: Ryan Prior <rprior@protonmail.com>
Co-authored-by: Andrea Pierré <a.pierre@zaclys.net>
---
 gnu/packages/python-xyz.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 9f57992fdd..c3da1de994 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -24239,3 +24239,27 @@ number of words, syllables, and sentences.")
      "This package provides a Python library that can parse OPML, FOAF, and
 iGoogle subscription lists.")
     (license license:expat)))
+
+(define-public python-plumbum
+  (package
+    (name "python-plumbum")
+    (version "1.7.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (pypi-uri "plumbum" version))
+        (sha256
+          (base32
+            "1kidj821k79dw064rlxh84xamb9h79ychg3pgj81jlvm5hs48xri"))))
+    (build-system python-build-system)
+    (native-inputs
+     ;; not actually used since there are no tests
+     ;; but required for build
+     `(("python-pytest" ,python-pytest)))
+    (arguments
+     `(#:tests? #f))
+    (home-page "https://plumbum.readthedocs.io")
+    (synopsis "Python shell combinators library")
+    (description "Plumbum is a library of tools for replacing shell scripts
+with Python code.")
+    (license license:expat)))
-- 
2.31.1

